Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005817 [JEDI VCL] 00 JVCL Components minor always 2012-03-01 15:59 2012-09-10 14:15
Reporter uholeschak View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005817: JvPrvwDoc Hint hide issues
Description The Hint window created by OnScrollHint() is sometimes not removed fully after the hint timeout (the shadow of the hint resides, at least with Win7).
The correct way to remove the hint is using ReleaseHandle() not simply hiding the hint control.
Unfortunately the hint removal code is implemented in a different thread, so calling ReleaseHandle() is simply not allowed here!
(I am not sure if disabling a control from a different thread is allowed at all!).

But there is another problem with creation of the hints. For every hint shown a new control is created, but the old one is never freed (only the pointer is set to nul). Of course at application exit everything is cleaned up, but many controls could accumulate in this time ...

In the attached file there is a solution for all these problems.
The timeout thread is replaced by a timer, so it's possible to access the hint control. On the other side only one hint control is created per instance and is cleaned up at destruction.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvPrvwDoc_Hint.patch [^] (4,305 bytes) 2012-03-01 15:59

- Relationships
related to 0005814resolvedobones JvPrvwDoc hides some pages 

-  Notes
(0019638)
obones (administrator)
2012-03-02 10:16

Demo in 0005814
(0019639)
obones (administrator)
2012-03-02 10:58

This should be solved in SVN

- Issue History
Date Modified Username Field Change
2012-03-01 15:59 uholeschak New Issue
2012-03-01 15:59 uholeschak File Added: JvPrvwDoc_Hint.patch
2012-03-02 10:15 obones Relationship added related to 0005814
2012-03-02 10:16 obones Note Added: 0019638
2012-03-02 10:16 obones Status new => acknowledged
2012-03-02 10:58 obones Note Added: 0019639
2012-03-02 10:58 obones Status acknowledged => resolved
2012-03-02 10:58 obones Fixed in Version => Daily / SVN
2012-03-02 10:58 obones Resolution open => fixed
2012-03-02 10:58 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker